Bug 458593 - noisy squid initscript
noisy squid initscript
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
9
All Linux
medium Severity low
: ---
: ---
Assigned To: Jiri Skala
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-10 12:55 EDT by Curtis Doty
Modified: 2014-11-09 17:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 06:01:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2008-08-10 12:55:32 EDT
+++ This bug was initially created as a clone of Bug #428998 +++

The patch now outputs superfluous crud during startup, even when no errors exist.

Instead, maybe it should save the stderr for selective output...something like this:

--- squid.orig  2008-07-02 02:32:13.000000000 -0700
+++ squid       2008-08-10 09:47:37.000000000 -0700
@@ -62,12 +62,13 @@
 start() {
        probe
 
-       $SQUID -k parse
+       parse=`$SQUID -k parse 2>&1`
        RETVAL=$?
        if [ $RETVAL -ne 0 ]; then
                echo -n $"Starting $prog: "
                echo_failure
                echo
+               echo "$parse"
                return 1
        fi
        for adir in $CACHE_SWAP; do
Comment 1 Henrik Nordstrom 2008-08-10 14:42:35 EDT
This is partially an upstream bug. "squid -k parse" is supposed to be silent if there is no warnings, but it currently is not..

The proposed initscript change looks fine to me.

Note You need to log in before you can comment on or make changes to this bug.